<ion-toolbar color="light">
  <ion-buttons slot="secondary">
    <ion-button (click)="userPopover($event)">
      <ion-icon slot="icon-only" name="person-circle"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-buttons slot="primary">
    <ion-button color="primary" (click)="tabActionsPopover($event)">
      <ion-icon slot="icon-only" ios="ellipsis-horizontal" md="ellipsis-vertical" color="dark"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-title>Processed fields</ion-title>
</ion-toolbar>
<ion-content [fullscreen]="true">
  <ul id="empty-prompt" *ngIf="processes.length == 0" class="ion-padding-horizontal">
    <li *ngIf="loading">
      Fetching processed fields...
    </li>
    <li *ngIf="!loading">
      <ion-text color="dark">There aren't any processed fields to display, perhaps you want to request a field to be processed?</ion-text><br><br>
      <ion-text color="dark">Click the ellipsis on the top right</ion-text>
    </li>
  </ul>
  <ion-grid>
    <ion-row id="processes-holder" *ngIf="processes != undefined && processes.length > 0">
      <ion-col sizeMd="3" sizeSm="12" class="ion-text-center" *ngFor="let process of processes;">
        <ion-card>
          <ion-icon *ngIf="username == 'admin'" (click)="optionsPopover($event,process.id)" color="dark" name="ellipsis-vertical-circle-outline"></ion-icon>
          <ion-list>
            <ion-item>
              <ion-label>
                <h1>{{process.tractor.name}}</h1>
                <p>NAME OF TRACTOR</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.field.name}}</h1>
                <p>NAME OF FIELD</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.field.crop}}</h1>
                <p>NAME OF CROP</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.datestring}}</h1>
                <p>DATE OF PROCESS</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.area}}</h1>
                <p>PROCESSESED AREA in acres</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.status}}</h1>
                <p>STATUS</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{process.owner}}</h1>
                <p>OWNER</p>
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
